#pragma once

#include "CoreMinimal.h"
#include "KillerFormSwitchingTransitionInteraction.h"
#include "CyclicKillerFormSwitchingTransitionInteraction.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class DBDKILLERABILITIES_API UCyclicKillerFormSwitchingTransitionInteraction : public UKillerFormSwitchingTransitionInteraction
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	bool _targetFormToTransitionIsNextForm;

public:
	UCyclicKillerFormSwitchingTransitionInteraction();
};

FORCEINLINE uint32 GetTypeHash(const UCyclicKillerFormSwitchingTransitionInteraction) { return 0; }
